Bug 495273 - UMS:RV370:Radeon X300 assorted fail
UMS:RV370:Radeon X300 assorted fail
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 22:41 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 14:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (with nomodeset) (86.53 KB, text/plain)
2009-04-10 22:44 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2009-04-10 22:41:51 EDT
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300 (PCIE)]

needs to boot with nomodeset, or the display is skewed and distorted. It looks like the stride of each line is incorrect, resulting in almost diagonal stripes across the display.

With nomodeset, the display is almost correct. I have two heads, and the problems are:

- No matter what xrandr options I try, it will only function in mirrored mode.
(FWIW, I see this problem on R580 too).
- The output of the 2nd head is 'shifted' to the left leaving a 2 inch black stripe on the right edge of the screen.

All this is in rawhide, but you may also want to know that the mirror-mode-only bug also appeared in F10-updates very recently.
Comment 1 Dave Jones 2009-04-10 22:44:11 EDT
Created attachment 339153 [details]
X log (with nomodeset)
Comment 2 François Cami 2009-04-14 18:00:43 EDT
Dave,

Does the KMS display look like the screenshot in bug 495297 ?

Could you also boot with drm.debug=1 and dump dmesg (if possible, +Xorg.0.log) via ssh ?

Regarding the mirror-mode only, you may need to add a Virtual line in your xorg.conf to match your total resolution, for instance :

Section "Screen"
(...)
       SubSection "Display"
           Depth                24
           Virtual              3520 1200
       EndSubSection
EndSection

Please add the xrandr output as attachement as well.

Could you try again with more recent kernel/xorg-x11-drv-ati packages as well ?

Thanks in advance,

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Dave Jones 2009-04-26 21:06:25 EDT
here's the situation with the latest packages..

(various jpegs at 

with modesetting enabled, I get strange looking output during boot.
(left head: dsc02051.jpg   right head: dsc02052.jpg) 
once gdm starts, I can make out the display, though it doesn't look right.
(left: dsc02053.jpg & dsc02054.jpg)
It comes up in cloned mode still.  If I use the display config tool to turn off
mirroring, I end up with the display looking like dsc02055.jpg and dsc02056.jpg

with nomodeset..
Everything looks fine. I can even disable mirroring, and get two independent heads.  Though for some reason, it will only let me choose a resolution up to 1280x1024
Trying to set it to 1680x1050 gives me a popup saying
"required virtual size does not fit available size: requested=3360,1050, minimum=(320,200), maximum=(2560,1200)
Comment 4 Dave Jones 2009-04-26 21:07:25 EDT
oops, forgot the url for the pics...  http://davej.fedorapeople.org/495273/
Comment 5 Alexei Podtelezhnikov 2009-05-14 19:24:27 EDT
I see this with kernels 2.6.29.x from updates-testing on rv380 Radeon X600 PCIE.
Earlier kernels are fine.
Comment 6 Bug Zapper 2009-06-09 09:38:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:26:06 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Matěj Cepl 2010-02-26 07:19:05 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Bug Zapper 2010-04-27 09:37:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Vedran Miletić 2010-05-24 14:59:58 EDT
Closing per comment 8.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Note You need to log in before you can comment on or make changes to this bug.